Search documentation of bb

# BB.Error.Category.Full exception (bb v0.17.0)

Copy Markdown View Source

Category is at capacity for concurrent commands.

Raised when attempting to execute a command in a category that has reached its `concurrency_limit`. Either wait for existing commands to complete, or cancel one to make room.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.Category.Full` without raising it.

## Types

# t()

    @type t() :: %BB.Error.Category.Full{
      __exception__: true,
      bread_crumbs: term(),
      category: atom(),
      class: term(),
      current: non_neg_integer(),
      limit: pos_integer(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Category.Full{
      __exception__: true,
      bread_crumbs: term(),
      category: term(),
      class: term(),
      current: term(),
      limit: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Category.Full` without raising it.

## Keys

- :category
- :limit
- :current